Cannot find HS*.o linked object for loading into ghci after last update

Previous Topic Next Topic
 
classic Classic list List threaded Threaded
3 messages Options
Reply | Threaded
Open this post in threaded view
|

Cannot find HS*.o linked object for loading into ghci after last update

Thiago Padilha
Hi

After last update, cabal-install stopped generating an HSfoo-VERSION.o(assuming
the package name is 'foo') in the dist/build directory.

How can I force cabal to generate this file again?
_______________________________________________
Haskell-Cafe mailing list
[hidden email]
http://www.haskell.org/mailman/listinfo/haskell-cafe
Reply | Threaded
Open this post in threaded view
|

Re: Cannot find HS*.o linked object for loading into ghci after last update

Albert Y. C. Lai
On 13-11-27 07:07 AM, Thiago Padilha wrote:
> After last update, cabal-install stopped generating an HSfoo-VERSION.o(assuming
> the package name is 'foo') in the dist/build directory.

I cannot reproduce the problem. Works for me.

$ ls
LICENSE  Options  optparse-applicative.cabal  README.md  Setup.hs  tests
$ cabal configure
Resolving dependencies...
Configuring optparse-applicative-0.7.0.2...
$ cabal build
Building optparse-applicative-0.7.0.2...
Preprocessing library optparse-applicative-0.7.0.2...
[...]
$ ls dist/build
autogen  HSoptparse-applicative-0.7.0.2.o
libHSoptparse-applicative-0.7.0.2.a  Options

HSoptparse-applicative-0.7.0.2.o is right there.

How can I reproduce the problem?
_______________________________________________
Haskell-Cafe mailing list
[hidden email]
http://www.haskell.org/mailman/listinfo/haskell-cafe
Reply | Threaded
Open this post in threaded view
|

Re: Cannot find HS*.o linked object for loading into ghci after last update

Thiago Padilha
I dont know. I just installed the latest cabal(1.18.0.2 for
cabal-install and 1.18.1.2 for cabal library) and the HS*.o file is
missing. Its possible I have done something to cause this but I just
cant figure it out.

On Wed, Dec 4, 2013 at 4:43 PM, Albert Y. C. Lai <[hidden email]> wrote:

> On 13-11-27 07:07 AM, Thiago Padilha wrote:
>>
>> After last update, cabal-install stopped generating an
>> HSfoo-VERSION.o(assuming
>> the package name is 'foo') in the dist/build directory.
>
>
> I cannot reproduce the problem. Works for me.
>
> $ ls
> LICENSE  Options  optparse-applicative.cabal  README.md  Setup.hs  tests
> $ cabal configure
> Resolving dependencies...
> Configuring optparse-applicative-0.7.0.2...
> $ cabal build
> Building optparse-applicative-0.7.0.2...
> Preprocessing library optparse-applicative-0.7.0.2...
> [...]
> $ ls dist/build
> autogen  HSoptparse-applicative-0.7.0.2.o
> libHSoptparse-applicative-0.7.0.2.a  Options
>
> HSoptparse-applicative-0.7.0.2.o is right there.
>
> How can I reproduce the problem?
> _______________________________________________
> Haskell-Cafe mailing list
> [hidden email]
> http://www.haskell.org/mailman/listinfo/haskell-cafe
_______________________________________________
Haskell-Cafe mailing list
[hidden email]
http://www.haskell.org/mailman/listinfo/haskell-cafe